# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['luna3',
 'luna3.accounts',
 'luna3.admin',
 'luna3.backport3',
 'luna3.backport3.mixins',
 'luna3.backport4',
 'luna3.backport4.mixins',
 'luna3.common',
 'luna3.configurator',
 'luna3.events',
 'luna3.faces',
 'luna3.handlers',
 'luna3.image_store',
 'luna3.licenses',
 'luna3.lunavl',
 'luna3.lunavl.mixins',
 'luna3.lunavl.mixins.doctests',
 'luna3.python_matcher',
 'luna3.remote_sdk',
 'luna3.sender',
 'luna3.streams',
 'luna3.tasks']

package_data = \
{'': ['*']}

install_requires = \
['aiohttp',
 'chardet',
 'filetype',
 'msgpack',
 'ormsgpack',
 'stringcase',
 'ujson',
 'websocket-client']

extras_require = \
{':python_version < "3.8"': ['typing-extensions>=4.1.1,<5.0.0']}

setup_kwargs = {
    'name': 'luna3',
    'version': '2.13.41',
    'description': 'luna3, a internal python library for connect between services VisionLabs LUNA.',
    'long_description': 'None',
    'author': 'VisionLabs',
    'author_email': 'info@visionlabs.ru',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
